#[doc = "Register `R8_ETH_EIE` reader"]
pub struct R(crate::R<R8_ETH_EIE_SPEC>);
impl core::ops::Deref for R {
    type Target = crate::R<R8_ETH_EIE_SPEC>;
    #[inline(always)]
    fn deref(&self) -> &Self::Target {
        &self.0
    }
}
impl From<crate::R<R8_ETH_EIE_SPEC>> for R {
    #[inline(always)]
    fn from(reader: crate::R<R8_ETH_EIE_SPEC>) -> Self {
        R(reader)
    }
}
#[doc = "Register `R8_ETH_EIE` writer"]
pub struct W(crate::W<R8_ETH_EIE_SPEC>);
impl core::ops::Deref for W {
    type Target = crate::W<R8_ETH_EIE_SPEC>;
    #[inline(always)]
    fn deref(&self) -> &Self::Target {
        &self.0
    }
}
impl core::ops::DerefMut for W {
    #[inline(always)]
    fn deref_mut(&mut self) -> &mut Self::Target {
        &mut self.0
    }
}
impl From<crate::W<R8_ETH_EIE_SPEC>> for W {
    #[inline(always)]
    fn from(writer: crate::W<R8_ETH_EIE_SPEC>) -> Self {
        W(writer)
    }
}
#[doc = "Field `RB_ETH_EIE_RXERIE` reader - soso"]
pub type RB_ETH_EIE_RXERIE_R = crate::BitReader<bool>;
#[doc = "Field `RB_ETH_EIE_RXERIE` writer - soso"]
pub type RB_ETH_EIE_RXERIE_W<'a, const O: u8> = crate::BitWriter<'a, u8, R8_ETH_EIE_SPEC, bool, O>;
#[doc = "Field `RB_ETH_EIE_TXERIE` reader - soso"]
pub type RB_ETH_EIE_TXERIE_R = crate::BitReader<bool>;
#[doc = "Field `RB_ETH_EIE_TXERIE` writer - soso"]
pub type RB_ETH_EIE_TXERIE_W<'a, const O: u8> = crate::BitWriter<'a, u8, R8_ETH_EIE_SPEC, bool, O>;
#[doc = "Field `RB_ETH_EIE_R_EN50` reader - soso"]
pub type RB_ETH_EIE_R_EN50_R = crate::BitReader<bool>;
#[doc = "Field `RB_ETH_EIE_R_EN50` writer - soso"]
pub type RB_ETH_EIE_R_EN50_W<'a, const O: u8> = crate::BitWriter<'a, u8, R8_ETH_EIE_SPEC, bool, O>;
#[doc = "Field `RB_ETH_EIE_TXIE` reader - soso"]
pub type RB_ETH_EIE_TXIE_R = crate::BitReader<bool>;
#[doc = "Field `RB_ETH_EIE_TXIE` writer - soso"]
pub type RB_ETH_EIE_TXIE_W<'a, const O: u8> = crate::BitWriter<'a, u8, R8_ETH_EIE_SPEC, bool, O>;
#[doc = "Field `RB_ETH_EIE_LINKIE` reader - soso"]
pub type RB_ETH_EIE_LINKIE_R = crate::BitReader<bool>;
#[doc = "Field `RB_ETH_EIE_LINKIE` writer - soso"]
pub type RB_ETH_EIE_LINKIE_W<'a, const O: u8> = crate::BitWriter<'a, u8, R8_ETH_EIE_SPEC, bool, O>;
#[doc = "Field `RB_ETH_EIE_RXIE` reader - soso"]
pub type RB_ETH_EIE_RXIE_R = crate::BitReader<bool>;
#[doc = "Field `RB_ETH_EIE_RXIE` writer - soso"]
pub type RB_ETH_EIE_RXIE_W<'a, const O: u8> = crate::BitWriter<'a, u8, R8_ETH_EIE_SPEC, bool, O>;
#[doc = "Field `RB_ETH_EIE_INTIE` reader - soso"]
pub type RB_ETH_EIE_INTIE_R = crate::BitReader<bool>;
#[doc = "Field `RB_ETH_EIE_INTIE` writer - soso"]
pub type RB_ETH_EIE_INTIE_W<'a, const O: u8> = crate::BitWriter<'a, u8, R8_ETH_EIE_SPEC, bool, O>;
impl R {
    #[doc = "Bit 0 - soso"]
    #[inline(always)]
    pub fn rb_eth_eie_rxerie(&self) -> RB_ETH_EIE_RXERIE_R {
        RB_ETH_EIE_RXERIE_R::new((self.bits & 1) != 0)
    }
    #[doc = "Bit 1 - soso"]
    #[inline(always)]
    pub fn rb_eth_eie_txerie(&self) -> RB_ETH_EIE_TXERIE_R {
        RB_ETH_EIE_TXERIE_R::new(((self.bits >> 1) & 1) != 0)
    }
    #[doc = "Bit 2 - soso"]
    #[inline(always)]
    pub fn rb_eth_eie_r_en50(&self) -> RB_ETH_EIE_R_EN50_R {
        RB_ETH_EIE_R_EN50_R::new(((self.bits >> 2) & 1) != 0)
    }
    #[doc = "Bit 3 - soso"]
    #[inline(always)]
    pub fn rb_eth_eie_txie(&self) -> RB_ETH_EIE_TXIE_R {
        RB_ETH_EIE_TXIE_R::new(((self.bits >> 3) & 1) != 0)
    }
    #[doc = "Bit 4 - soso"]
    #[inline(always)]
    pub fn rb_eth_eie_linkie(&self) -> RB_ETH_EIE_LINKIE_R {
        RB_ETH_EIE_LINKIE_R::new(((self.bits >> 4) & 1) != 0)
    }
    #[doc = "Bit 6 - soso"]
    #[inline(always)]
    pub fn rb_eth_eie_rxie(&self) -> RB_ETH_EIE_RXIE_R {
        RB_ETH_EIE_RXIE_R::new(((self.bits >> 6) & 1) != 0)
    }
    #[doc = "Bit 7 - soso"]
    #[inline(always)]
    pub fn rb_eth_eie_intie(&self) -> RB_ETH_EIE_INTIE_R {
        RB_ETH_EIE_INTIE_R::new(((self.bits >> 7) & 1) != 0)
    }
}
impl W {
    #[doc = "Bit 0 - soso"]
    #[inline(always)]
    #[must_use]
    pub fn rb_eth_eie_rxerie(&mut self) -> RB_ETH_EIE_RXERIE_W<0> {
        RB_ETH_EIE_RXERIE_W::new(self)
    }
    #[doc = "Bit 1 - soso"]
    #[inline(always)]
    #[must_use]
    pub fn rb_eth_eie_txerie(&mut self) -> RB_ETH_EIE_TXERIE_W<1> {
        RB_ETH_EIE_TXERIE_W::new(self)
    }
    #[doc = "Bit 2 - soso"]
    #[inline(always)]
    #[must_use]
    pub fn rb_eth_eie_r_en50(&mut self) -> RB_ETH_EIE_R_EN50_W<2> {
        RB_ETH_EIE_R_EN50_W::new(self)
    }
    #[doc = "Bit 3 - soso"]
    #[inline(always)]
    #[must_use]
    pub fn rb_eth_eie_txie(&mut self) -> RB_ETH_EIE_TXIE_W<3> {
        RB_ETH_EIE_TXIE_W::new(self)
    }
    #[doc = "Bit 4 - soso"]
    #[inline(always)]
    #[must_use]
    pub fn rb_eth_eie_linkie(&mut self) -> RB_ETH_EIE_LINKIE_W<4> {
        RB_ETH_EIE_LINKIE_W::new(self)
    }
    #[doc = "Bit 6 - soso"]
    #[inline(always)]
    #[must_use]
    pub fn rb_eth_eie_rxie(&mut self) -> RB_ETH_EIE_RXIE_W<6> {
        RB_ETH_EIE_RXIE_W::new(self)
    }
    #[doc = "Bit 7 - soso"]
    #[inline(always)]
    #[must_use]
    pub fn rb_eth_eie_intie(&mut self) -> RB_ETH_EIE_INTIE_W<7> {
        RB_ETH_EIE_INTIE_W::new(self)
    }
    #[doc = "Writes raw bits to the register."]
    #[inline(always)]
    pub unsafe fn bits(&mut self, bits: u8) -> &mut Self {
        self.0.bits(bits);
        self
    }
}
#[doc = "soso\n\nThis register you can [`read`](crate::generic::Reg::read), [`write_with_zero`](crate::generic::Reg::write_with_zero), [`reset`](crate::generic::Reg::reset), [`write`](crate::generic::Reg::write), [`modify`](crate::generic::Reg::modify). See [API](https://docs.rs/svd2rust/#read--modify--write-api).\n\nFor information about available fields see [r8_eth_eie](index.html) module"]
pub struct R8_ETH_EIE_SPEC;
impl crate::RegisterSpec for R8_ETH_EIE_SPEC {
    type Ux = u8;
}
#[doc = "`read()` method returns [r8_eth_eie::R](R) reader structure"]
impl crate::Readable for R8_ETH_EIE_SPEC {
    type Reader = R;
}
#[doc = "`write(|w| ..)` method takes [r8_eth_eie::W](W) writer structure"]
impl crate::Writable for R8_ETH_EIE_SPEC {
    type Writer = W;
    const ZERO_TO_MODIFY_FIELDS_BITMAP: Self::Ux = 0;
    const ONE_TO_MODIFY_FIELDS_BITMAP: Self::Ux = 0;
}
#[doc = "`reset()` method sets R8_ETH_EIE to value 0"]
impl crate::Resettable for R8_ETH_EIE_SPEC {
    const RESET_VALUE: Self::Ux = 0;
}
