#[doc = "Register `R16_INT32M_CALIB` reader"]
pub struct R(crate::R<R16_INT32M_CALIB_SPEC>);
impl core::ops::Deref for R {
    type Target = crate::R<R16_INT32M_CALIB_SPEC>;
    #[inline(always)]
    fn deref(&self) -> &Self::Target {
        &self.0
    }
}
impl From<crate::R<R16_INT32M_CALIB_SPEC>> for R {
    #[inline(always)]
    fn from(reader: crate::R<R16_INT32M_CALIB_SPEC>) -> Self {
        R(reader)
    }
}
#[doc = "Register `R16_INT32M_CALIB` writer"]
pub struct W(crate::W<R16_INT32M_CALIB_SPEC>);
impl core::ops::Deref for W {
    type Target = crate::W<R16_INT32M_CALIB_SPEC>;
    #[inline(always)]
    fn deref(&self) -> &Self::Target {
        &self.0
    }
}
impl core::ops::DerefMut for W {
    #[inline(always)]
    fn deref_mut(&mut self) -> &mut Self::Target {
        &mut self.0
    }
}
impl From<crate::W<R16_INT32M_CALIB_SPEC>> for W {
    #[inline(always)]
    fn from(writer: crate::W<R16_INT32M_CALIB_SPEC>) -> Self {
        W(writer)
    }
}
impl W {
    #[doc = "Writes raw bits to the register."]
    #[inline(always)]
    pub unsafe fn bits(&mut self, bits: u16) -> &mut Self {
        self.0.bits(bits);
        self
    }
}
#[doc = "RWA, internal 32MHz oscillator tune control, SAM\n\nThis register you can [`read`](crate::generic::Reg::read), [`write_with_zero`](crate::generic::Reg::write_with_zero), [`reset`](crate::generic::Reg::reset), [`write`](crate::generic::Reg::write), [`modify`](crate::generic::Reg::modify). See [API](https://docs.rs/svd2rust/#read--modify--write-api).\n\nFor information about available fields see [r16_int32m_calib](index.html) module"]
pub struct R16_INT32M_CALIB_SPEC;
impl crate::RegisterSpec for R16_INT32M_CALIB_SPEC {
    type Ux = u16;
}
#[doc = "`read()` method returns [r16_int32m_calib::R](R) reader structure"]
impl crate::Readable for R16_INT32M_CALIB_SPEC {
    type Reader = R;
}
#[doc = "`write(|w| ..)` method takes [r16_int32m_calib::W](W) writer structure"]
impl crate::Writable for R16_INT32M_CALIB_SPEC {
    type Writer = W;
    const ZERO_TO_MODIFY_FIELDS_BITMAP: Self::Ux = 0;
    const ONE_TO_MODIFY_FIELDS_BITMAP: Self::Ux = 0;
}
#[doc = "`reset()` method sets R16_INT32M_CALIB to value 0"]
impl crate::Resettable for R16_INT32M_CALIB_SPEC {
    const RESET_VALUE: Self::Ux = 0;
}
