#[doc = "Register `R16_RTC_CNT_2S` reader"]
pub struct R(crate::R<R16_RTC_CNT_2S_SPEC>);
impl core::ops::Deref for R {
    type Target = crate::R<R16_RTC_CNT_2S_SPEC>;
    #[inline(always)]
    fn deref(&self) -> &Self::Target {
        &self.0
    }
}
impl From<crate::R<R16_RTC_CNT_2S_SPEC>> for R {
    #[inline(always)]
    fn from(reader: crate::R<R16_RTC_CNT_2S_SPEC>) -> Self {
        R(reader)
    }
}
#[doc = "RO, RTC count based 2 second\n\nThis register you can [`read`](crate::generic::Reg::read). See [API](https://docs.rs/svd2rust/#read--modify--write-api).\n\nFor information about available fields see [r16_rtc_cnt_2s](index.html) module"]
pub struct R16_RTC_CNT_2S_SPEC;
impl crate::RegisterSpec for R16_RTC_CNT_2S_SPEC {
    type Ux = u16;
}
#[doc = "`read()` method returns [r16_rtc_cnt_2s::R](R) reader structure"]
impl crate::Readable for R16_RTC_CNT_2S_SPEC {
    type Reader = R;
}
#[doc = "`reset()` method sets R16_RTC_CNT_2S to value 0"]
impl crate::Resettable for R16_RTC_CNT_2S_SPEC {
    const RESET_VALUE: Self::Ux = 0;
}
