#[doc = "Register `R8_BAT_DET_CFG` reader"]
pub struct R(crate::R<R8_BAT_DET_CFG_SPEC>);
impl core::ops::Deref for R {
    type Target = crate::R<R8_BAT_DET_CFG_SPEC>;
    #[inline(always)]
    fn deref(&self) -> &Self::Target {
        &self.0
    }
}
impl From<crate::R<R8_BAT_DET_CFG_SPEC>> for R {
    #[inline(always)]
    fn from(reader: crate::R<R8_BAT_DET_CFG_SPEC>) -> Self {
        R(reader)
    }
}
#[doc = "Register `R8_BAT_DET_CFG` writer"]
pub struct W(crate::W<R8_BAT_DET_CFG_SPEC>);
impl core::ops::Deref for W {
    type Target = crate::W<R8_BAT_DET_CFG_SPEC>;
    #[inline(always)]
    fn deref(&self) -> &Self::Target {
        &self.0
    }
}
impl core::ops::DerefMut for W {
    #[inline(always)]
    fn deref_mut(&mut self) -> &mut Self::Target {
        &mut self.0
    }
}
impl From<crate::W<R8_BAT_DET_CFG_SPEC>> for W {
    #[inline(always)]
    fn from(writer: crate::W<R8_BAT_DET_CFG_SPEC>) -> Self {
        W(writer)
    }
}
#[doc = "Field `RB_BAT_LOW_VTH` reader - RWA, select threshold voltage of battery voltage low"]
pub type RB_BAT_LOW_VTH_R = crate::FieldReader<u8, u8>;
#[doc = "Field `RB_BAT_LOW_VTH` writer - RWA, select threshold voltage of battery voltage low"]
pub type RB_BAT_LOW_VTH_W<'a, const O: u8> =
    crate::FieldWriter<'a, u8, R8_BAT_DET_CFG_SPEC, u8, u8, 2, O>;
impl R {
    #[doc = "Bits 0:1 - RWA, select threshold voltage of battery voltage low"]
    #[inline(always)]
    pub fn rb_bat_low_vth(&self) -> RB_BAT_LOW_VTH_R {
        RB_BAT_LOW_VTH_R::new(self.bits & 3)
    }
}
impl W {
    #[doc = "Bits 0:1 - RWA, select threshold voltage of battery voltage low"]
    #[inline(always)]
    #[must_use]
    pub fn rb_bat_low_vth(&mut self) -> RB_BAT_LOW_VTH_W<0> {
        RB_BAT_LOW_VTH_W::new(self)
    }
    #[doc = "Writes raw bits to the register."]
    #[inline(always)]
    pub unsafe fn bits(&mut self, bits: u8) -> &mut Self {
        self.0.bits(bits);
        self
    }
}
#[doc = "RWA, battery voltage detector configuration, SAM\n\nThis register you can [`read`](crate::generic::Reg::read), [`write_with_zero`](crate::generic::Reg::write_with_zero), [`reset`](crate::generic::Reg::reset), [`write`](crate::generic::Reg::write), [`modify`](crate::generic::Reg::modify). See [API](https://docs.rs/svd2rust/#read--modify--write-api).\n\nFor information about available fields see [r8_bat_det_cfg](index.html) module"]
pub struct R8_BAT_DET_CFG_SPEC;
impl crate::RegisterSpec for R8_BAT_DET_CFG_SPEC {
    type Ux = u8;
}
#[doc = "`read()` method returns [r8_bat_det_cfg::R](R) reader structure"]
impl crate::Readable for R8_BAT_DET_CFG_SPEC {
    type Reader = R;
}
#[doc = "`write(|w| ..)` method takes [r8_bat_det_cfg::W](W) writer structure"]
impl crate::Writable for R8_BAT_DET_CFG_SPEC {
    type Writer = W;
    const ZERO_TO_MODIFY_FIELDS_BITMAP: Self::Ux = 0;
    const ONE_TO_MODIFY_FIELDS_BITMAP: Self::Ux = 0;
}
#[doc = "`reset()` method sets R8_BAT_DET_CFG to value 0"]
impl crate::Resettable for R8_BAT_DET_CFG_SPEC {
    const RESET_VALUE: Self::Ux = 0;
}
