#[doc = "Register `R8_BAT_STATUS` reader"]
pub struct R(crate::R<R8_BAT_STATUS_SPEC>);
impl core::ops::Deref for R {
    type Target = crate::R<R8_BAT_STATUS_SPEC>;
    #[inline(always)]
    fn deref(&self) -> &Self::Target {
        &self.0
    }
}
impl From<crate::R<R8_BAT_STATUS_SPEC>> for R {
    #[inline(always)]
    fn from(reader: crate::R<R8_BAT_STATUS_SPEC>) -> Self {
        R(reader)
    }
}
#[doc = "Field `RB_BAT_STAT_LOWER` reader - RO, battery lower voltage status, high action"]
pub type RB_BAT_STAT_LOWER_R = crate::BitReader<bool>;
#[doc = "Field `RB_BAT_STAT_LOW` reader - RO, battery low voltage status, high action"]
pub type RB_BAT_STAT_LOW_R = crate::BitReader<bool>;
impl R {
    #[doc = "Bit 0 - RO, battery lower voltage status, high action"]
    #[inline(always)]
    pub fn rb_bat_stat_lower(&self) -> RB_BAT_STAT_LOWER_R {
        RB_BAT_STAT_LOWER_R::new((self.bits & 1) != 0)
    }
    #[doc = "Bit 1 - RO, battery low voltage status, high action"]
    #[inline(always)]
    pub fn rb_bat_stat_low(&self) -> RB_BAT_STAT_LOW_R {
        RB_BAT_STAT_LOW_R::new(((self.bits >> 1) & 1) != 0)
    }
}
#[doc = "RO, battery status\n\nThis register you can [`read`](crate::generic::Reg::read). See [API](https://docs.rs/svd2rust/#read--modify--write-api).\n\nFor information about available fields see [r8_bat_status](index.html) module"]
pub struct R8_BAT_STATUS_SPEC;
impl crate::RegisterSpec for R8_BAT_STATUS_SPEC {
    type Ux = u8;
}
#[doc = "`read()` method returns [r8_bat_status::R](R) reader structure"]
impl crate::Readable for R8_BAT_STATUS_SPEC {
    type Reader = R;
}
#[doc = "`reset()` method sets R8_BAT_STATUS to value 0"]
impl crate::Resettable for R8_BAT_STATUS_SPEC {
    const RESET_VALUE: Self::Ux = 0;
}
