#[doc = "Register `R32_TMR3_FIFO_RO` reader"]
pub struct R(crate::R<R32_TMR3_FIFO_RO_SPEC>);
impl core::ops::Deref for R {
    type Target = crate::R<R32_TMR3_FIFO_RO_SPEC>;
    #[inline(always)]
    fn deref(&self) -> &Self::Target {
        &self.0
    }
}
impl From<crate::R<R32_TMR3_FIFO_RO_SPEC>> for R {
    #[inline(always)]
    fn from(reader: crate::R<R32_TMR3_FIFO_RO_SPEC>) -> Self {
        R(reader)
    }
}
#[doc = "RO, TMR3 FIFO register, only low 26 bit\n\nThis register you can [`read`](crate::generic::Reg::read). See [API](https://docs.rs/svd2rust/#read--modify--write-api).\n\nFor information about available fields see [r32_tmr3_fifo_ro](index.html) module"]
pub struct R32_TMR3_FIFO_RO_SPEC;
impl crate::RegisterSpec for R32_TMR3_FIFO_RO_SPEC {
    type Ux = u32;
}
#[doc = "`read()` method returns [r32_tmr3_fifo_ro::R](R) reader structure"]
impl crate::Readable for R32_TMR3_FIFO_RO_SPEC {
    type Reader = R;
}
#[doc = "`reset()` method sets R32_TMR3_FIFO_RO to value 0"]
impl crate::Resettable for R32_TMR3_FIFO_RO_SPEC {
    const RESET_VALUE: Self::Ux = 0;
}
