#[doc = "Register `R8_UART2_RBR` reader"]
pub struct R(crate::R<R8_UART2_RBR_SPEC>);
impl core::ops::Deref for R {
    type Target = crate::R<R8_UART2_RBR_SPEC>;
    #[inline(always)]
    fn deref(&self) -> &Self::Target {
        &self.0
    }
}
impl From<crate::R<R8_UART2_RBR_SPEC>> for R {
    #[inline(always)]
    fn from(reader: crate::R<R8_UART2_RBR_SPEC>) -> Self {
        R(reader)
    }
}
#[doc = "RO, UART2 receiver buffer, receiving byte\n\nThis register you can [`read`](crate::generic::Reg::read). See [API](https://docs.rs/svd2rust/#read--modify--write-api).\n\nFor information about available fields see [r8_uart2_rbr](index.html) module"]
pub struct R8_UART2_RBR_SPEC;
impl crate::RegisterSpec for R8_UART2_RBR_SPEC {
    type Ux = u8;
}
#[doc = "`read()` method returns [r8_uart2_rbr::R](R) reader structure"]
impl crate::Readable for R8_UART2_RBR_SPEC {
    type Reader = R;
}
#[doc = "`reset()` method sets R8_UART2_RBR to value 0"]
impl crate::Resettable for R8_UART2_RBR_SPEC {
    const RESET_VALUE: Self::Ux = 0;
}
