#[doc = "Register `R8_ETH_ECON1` reader"]
pub struct R(crate::R<R8_ETH_ECON1_SPEC>);
impl core::ops::Deref for R {
    type Target = crate::R<R8_ETH_ECON1_SPEC>;
    #[inline(always)]
    fn deref(&self) -> &Self::Target {
        &self.0
    }
}
impl From<crate::R<R8_ETH_ECON1_SPEC>> for R {
    #[inline(always)]
    fn from(reader: crate::R<R8_ETH_ECON1_SPEC>) -> Self {
        R(reader)
    }
}
#[doc = "Register `R8_ETH_ECON1` writer"]
pub struct W(crate::W<R8_ETH_ECON1_SPEC>);
impl core::ops::Deref for W {
    type Target = crate::W<R8_ETH_ECON1_SPEC>;
    #[inline(always)]
    fn deref(&self) -> &Self::Target {
        &self.0
    }
}
impl core::ops::DerefMut for W {
    #[inline(always)]
    fn deref_mut(&mut self) -> &mut Self::Target {
        &mut self.0
    }
}
impl From<crate::W<R8_ETH_ECON1_SPEC>> for W {
    #[inline(always)]
    fn from(writer: crate::W<R8_ETH_ECON1_SPEC>) -> Self {
        W(writer)
    }
}
#[doc = "Field `RB_ETH_ECON1_RXEN` reader - soso"]
pub type RB_ETH_ECON1_RXEN_R = crate::BitReader<bool>;
#[doc = "Field `RB_ETH_ECON1_RXEN` writer - soso"]
pub type RB_ETH_ECON1_RXEN_W<'a, const O: u8> =
    crate::BitWriter<'a, u8, R8_ETH_ECON1_SPEC, bool, O>;
#[doc = "Field `RB_ETH_ECON1_TXRTS` reader - soso"]
pub type RB_ETH_ECON1_TXRTS_R = crate::BitReader<bool>;
#[doc = "Field `RB_ETH_ECON1_TXRTS` writer - soso"]
pub type RB_ETH_ECON1_TXRTS_W<'a, const O: u8> =
    crate::BitWriter<'a, u8, R8_ETH_ECON1_SPEC, bool, O>;
#[doc = "Field `RB_ETH_ECON1_RXRST` reader - soso"]
pub type RB_ETH_ECON1_RXRST_R = crate::BitReader<bool>;
#[doc = "Field `RB_ETH_ECON1_RXRST` writer - soso"]
pub type RB_ETH_ECON1_RXRST_W<'a, const O: u8> =
    crate::BitWriter<'a, u8, R8_ETH_ECON1_SPEC, bool, O>;
#[doc = "Field `RB_ETH_ECON1_TXRST` reader - soso"]
pub type RB_ETH_ECON1_TXRST_R = crate::BitReader<bool>;
#[doc = "Field `RB_ETH_ECON1_TXRST` writer - soso"]
pub type RB_ETH_ECON1_TXRST_W<'a, const O: u8> =
    crate::BitWriter<'a, u8, R8_ETH_ECON1_SPEC, bool, O>;
impl R {
    #[doc = "Bit 2 - soso"]
    #[inline(always)]
    pub fn rb_eth_econ1_rxen(&self) -> RB_ETH_ECON1_RXEN_R {
        RB_ETH_ECON1_RXEN_R::new(((self.bits >> 2) & 1) != 0)
    }
    #[doc = "Bit 3 - soso"]
    #[inline(always)]
    pub fn rb_eth_econ1_txrts(&self) -> RB_ETH_ECON1_TXRTS_R {
        RB_ETH_ECON1_TXRTS_R::new(((self.bits >> 3) & 1) != 0)
    }
    #[doc = "Bit 6 - soso"]
    #[inline(always)]
    pub fn rb_eth_econ1_rxrst(&self) -> RB_ETH_ECON1_RXRST_R {
        RB_ETH_ECON1_RXRST_R::new(((self.bits >> 6) & 1) != 0)
    }
    #[doc = "Bit 7 - soso"]
    #[inline(always)]
    pub fn rb_eth_econ1_txrst(&self) -> RB_ETH_ECON1_TXRST_R {
        RB_ETH_ECON1_TXRST_R::new(((self.bits >> 7) & 1) != 0)
    }
}
impl W {
    #[doc = "Bit 2 - soso"]
    #[inline(always)]
    #[must_use]
    pub fn rb_eth_econ1_rxen(&mut self) -> RB_ETH_ECON1_RXEN_W<2> {
        RB_ETH_ECON1_RXEN_W::new(self)
    }
    #[doc = "Bit 3 - soso"]
    #[inline(always)]
    #[must_use]
    pub fn rb_eth_econ1_txrts(&mut self) -> RB_ETH_ECON1_TXRTS_W<3> {
        RB_ETH_ECON1_TXRTS_W::new(self)
    }
    #[doc = "Bit 6 - soso"]
    #[inline(always)]
    #[must_use]
    pub fn rb_eth_econ1_rxrst(&mut self) -> RB_ETH_ECON1_RXRST_W<6> {
        RB_ETH_ECON1_RXRST_W::new(self)
    }
    #[doc = "Bit 7 - soso"]
    #[inline(always)]
    #[must_use]
    pub fn rb_eth_econ1_txrst(&mut self) -> RB_ETH_ECON1_TXRST_W<7> {
        RB_ETH_ECON1_TXRST_W::new(self)
    }
    #[doc = "Writes raw bits to the register."]
    #[inline(always)]
    pub unsafe fn bits(&mut self, bits: u8) -> &mut Self {
        self.0.bits(bits);
        self
    }
}
#[doc = "soso\n\nThis register you can [`read`](crate::generic::Reg::read), [`write_with_zero`](crate::generic::Reg::write_with_zero), [`reset`](crate::generic::Reg::reset), [`write`](crate::generic::Reg::write), [`modify`](crate::generic::Reg::modify). See [API](https://docs.rs/svd2rust/#read--modify--write-api).\n\nFor information about available fields see [r8_eth_econ1](index.html) module"]
pub struct R8_ETH_ECON1_SPEC;
impl crate::RegisterSpec for R8_ETH_ECON1_SPEC {
    type Ux = u8;
}
#[doc = "`read()` method returns [r8_eth_econ1::R](R) reader structure"]
impl crate::Readable for R8_ETH_ECON1_SPEC {
    type Reader = R;
}
#[doc = "`write(|w| ..)` method takes [r8_eth_econ1::W](W) writer structure"]
impl crate::Writable for R8_ETH_ECON1_SPEC {
    type Writer = W;
    const ZERO_TO_MODIFY_FIELDS_BITMAP: Self::Ux = 0;
    const ONE_TO_MODIFY_FIELDS_BITMAP: Self::Ux = 0;
}
#[doc = "`reset()` method sets R8_ETH_ECON1 to value 0"]
impl crate::Resettable for R8_ETH_ECON1_SPEC {
    const RESET_VALUE: Self::Ux = 0;
}
