#[doc = "Register `R8_ETH_EIR` reader"]
pub struct R(crate::R<R8_ETH_EIR_SPEC>);
impl core::ops::Deref for R {
    type Target = crate::R<R8_ETH_EIR_SPEC>;
    #[inline(always)]
    fn deref(&self) -> &Self::Target {
        &self.0
    }
}
impl From<crate::R<R8_ETH_EIR_SPEC>> for R {
    #[inline(always)]
    fn from(reader: crate::R<R8_ETH_EIR_SPEC>) -> Self {
        R(reader)
    }
}
#[doc = "Register `R8_ETH_EIR` writer"]
pub struct W(crate::W<R8_ETH_EIR_SPEC>);
impl core::ops::Deref for W {
    type Target = crate::W<R8_ETH_EIR_SPEC>;
    #[inline(always)]
    fn deref(&self) -> &Self::Target {
        &self.0
    }
}
impl core::ops::DerefMut for W {
    #[inline(always)]
    fn deref_mut(&mut self) -> &mut Self::Target {
        &mut self.0
    }
}
impl From<crate::W<R8_ETH_EIR_SPEC>> for W {
    #[inline(always)]
    fn from(writer: crate::W<R8_ETH_EIR_SPEC>) -> Self {
        W(writer)
    }
}
#[doc = "Field `RB_ETH_EIR_RXERIF` reader - soso"]
pub type RB_ETH_EIR_RXERIF_R = crate::BitReader<bool>;
#[doc = "Field `RB_ETH_EIR_RXERIF` writer - soso"]
pub type RB_ETH_EIR_RXERIF_W<'a, const O: u8> = crate::BitWriter<'a, u8, R8_ETH_EIR_SPEC, bool, O>;
#[doc = "Field `RB_ETH_EIR_TXERIF` reader - soso"]
pub type RB_ETH_EIR_TXERIF_R = crate::BitReader<bool>;
#[doc = "Field `RB_ETH_EIR_TXERIF` writer - soso"]
pub type RB_ETH_EIR_TXERIF_W<'a, const O: u8> = crate::BitWriter<'a, u8, R8_ETH_EIR_SPEC, bool, O>;
#[doc = "Field `RB_ETH_EIR_TXIF` reader - soso"]
pub type RB_ETH_EIR_TXIF_R = crate::BitReader<bool>;
#[doc = "Field `RB_ETH_EIR_TXIF` writer - soso"]
pub type RB_ETH_EIR_TXIF_W<'a, const O: u8> = crate::BitWriter<'a, u8, R8_ETH_EIR_SPEC, bool, O>;
#[doc = "Field `RB_ETH_EIR_LINKIF` reader - soso"]
pub type RB_ETH_EIR_LINKIF_R = crate::BitReader<bool>;
#[doc = "Field `RB_ETH_EIR_LINKIF` writer - soso"]
pub type RB_ETH_EIR_LINKIF_W<'a, const O: u8> = crate::BitWriter<'a, u8, R8_ETH_EIR_SPEC, bool, O>;
#[doc = "Field `RB_ETH_EIR_RXIF` reader - soso"]
pub type RB_ETH_EIR_RXIF_R = crate::BitReader<bool>;
#[doc = "Field `RB_ETH_EIR_RXIF` writer - soso"]
pub type RB_ETH_EIR_RXIF_W<'a, const O: u8> = crate::BitWriter<'a, u8, R8_ETH_EIR_SPEC, bool, O>;
impl R {
    #[doc = "Bit 0 - soso"]
    #[inline(always)]
    pub fn rb_eth_eir_rxerif(&self) -> RB_ETH_EIR_RXERIF_R {
        RB_ETH_EIR_RXERIF_R::new((self.bits & 1) != 0)
    }
    #[doc = "Bit 1 - soso"]
    #[inline(always)]
    pub fn rb_eth_eir_txerif(&self) -> RB_ETH_EIR_TXERIF_R {
        RB_ETH_EIR_TXERIF_R::new(((self.bits >> 1) & 1) != 0)
    }
    #[doc = "Bit 3 - soso"]
    #[inline(always)]
    pub fn rb_eth_eir_txif(&self) -> RB_ETH_EIR_TXIF_R {
        RB_ETH_EIR_TXIF_R::new(((self.bits >> 3) & 1) != 0)
    }
    #[doc = "Bit 4 - soso"]
    #[inline(always)]
    pub fn rb_eth_eir_linkif(&self) -> RB_ETH_EIR_LINKIF_R {
        RB_ETH_EIR_LINKIF_R::new(((self.bits >> 4) & 1) != 0)
    }
    #[doc = "Bit 6 - soso"]
    #[inline(always)]
    pub fn rb_eth_eir_rxif(&self) -> RB_ETH_EIR_RXIF_R {
        RB_ETH_EIR_RXIF_R::new(((self.bits >> 6) & 1) != 0)
    }
}
impl W {
    #[doc = "Bit 0 - soso"]
    #[inline(always)]
    #[must_use]
    pub fn rb_eth_eir_rxerif(&mut self) -> RB_ETH_EIR_RXERIF_W<0> {
        RB_ETH_EIR_RXERIF_W::new(self)
    }
    #[doc = "Bit 1 - soso"]
    #[inline(always)]
    #[must_use]
    pub fn rb_eth_eir_txerif(&mut self) -> RB_ETH_EIR_TXERIF_W<1> {
        RB_ETH_EIR_TXERIF_W::new(self)
    }
    #[doc = "Bit 3 - soso"]
    #[inline(always)]
    #[must_use]
    pub fn rb_eth_eir_txif(&mut self) -> RB_ETH_EIR_TXIF_W<3> {
        RB_ETH_EIR_TXIF_W::new(self)
    }
    #[doc = "Bit 4 - soso"]
    #[inline(always)]
    #[must_use]
    pub fn rb_eth_eir_linkif(&mut self) -> RB_ETH_EIR_LINKIF_W<4> {
        RB_ETH_EIR_LINKIF_W::new(self)
    }
    #[doc = "Bit 6 - soso"]
    #[inline(always)]
    #[must_use]
    pub fn rb_eth_eir_rxif(&mut self) -> RB_ETH_EIR_RXIF_W<6> {
        RB_ETH_EIR_RXIF_W::new(self)
    }
    #[doc = "Writes raw bits to the register."]
    #[inline(always)]
    pub unsafe fn bits(&mut self, bits: u8) -> &mut Self {
        self.0.bits(bits);
        self
    }
}
#[doc = "soso\n\nThis register you can [`read`](crate::generic::Reg::read), [`write_with_zero`](crate::generic::Reg::write_with_zero), [`reset`](crate::generic::Reg::reset), [`write`](crate::generic::Reg::write), [`modify`](crate::generic::Reg::modify). See [API](https://docs.rs/svd2rust/#read--modify--write-api).\n\nFor information about available fields see [r8_eth_eir](index.html) module"]
pub struct R8_ETH_EIR_SPEC;
impl crate::RegisterSpec for R8_ETH_EIR_SPEC {
    type Ux = u8;
}
#[doc = "`read()` method returns [r8_eth_eir::R](R) reader structure"]
impl crate::Readable for R8_ETH_EIR_SPEC {
    type Reader = R;
}
#[doc = "`write(|w| ..)` method takes [r8_eth_eir::W](W) writer structure"]
impl crate::Writable for R8_ETH_EIR_SPEC {
    type Writer = W;
    const ZERO_TO_MODIFY_FIELDS_BITMAP: Self::Ux = 0;
    const ONE_TO_MODIFY_FIELDS_BITMAP: Self::Ux = 0;
}
#[doc = "`reset()` method sets R8_ETH_EIR to value 0"]
impl crate::Resettable for R8_ETH_EIR_SPEC {
    const RESET_VALUE: Self::Ux = 0;
}
