#[doc = "Register `R8_ETH_MACON2` reader"]
pub struct R(crate::R<R8_ETH_MACON2_SPEC>);
impl core::ops::Deref for R {
    type Target = crate::R<R8_ETH_MACON2_SPEC>;
    #[inline(always)]
    fn deref(&self) -> &Self::Target {
        &self.0
    }
}
impl From<crate::R<R8_ETH_MACON2_SPEC>> for R {
    #[inline(always)]
    fn from(reader: crate::R<R8_ETH_MACON2_SPEC>) -> Self {
        R(reader)
    }
}
#[doc = "Register `R8_ETH_MACON2` writer"]
pub struct W(crate::W<R8_ETH_MACON2_SPEC>);
impl core::ops::Deref for W {
    type Target = crate::W<R8_ETH_MACON2_SPEC>;
    #[inline(always)]
    fn deref(&self) -> &Self::Target {
        &self.0
    }
}
impl core::ops::DerefMut for W {
    #[inline(always)]
    fn deref_mut(&mut self) -> &mut Self::Target {
        &mut self.0
    }
}
impl From<crate::W<R8_ETH_MACON2_SPEC>> for W {
    #[inline(always)]
    fn from(writer: crate::W<R8_ETH_MACON2_SPEC>) -> Self {
        W(writer)
    }
}
#[doc = "Field `RB_ETH_MACON2_FULDPX` reader - soso"]
pub type RB_ETH_MACON2_FULDPX_R = crate::BitReader<bool>;
#[doc = "Field `RB_ETH_MACON2_FULDPX` writer - soso"]
pub type RB_ETH_MACON2_FULDPX_W<'a, const O: u8> =
    crate::BitWriter<'a, u8, R8_ETH_MACON2_SPEC, bool, O>;
#[doc = "Field `RB_ETH_MACON2_HFRMEN` reader - soso"]
pub type RB_ETH_MACON2_HFRMEN_R = crate::BitReader<bool>;
#[doc = "Field `RB_ETH_MACON2_HFRMEN` writer - soso"]
pub type RB_ETH_MACON2_HFRMEN_W<'a, const O: u8> =
    crate::BitWriter<'a, u8, R8_ETH_MACON2_SPEC, bool, O>;
#[doc = "Field `RB_ETH_MACON2_PHDREN` reader - soso"]
pub type RB_ETH_MACON2_PHDREN_R = crate::BitReader<bool>;
#[doc = "Field `RB_ETH_MACON2_PHDREN` writer - soso"]
pub type RB_ETH_MACON2_PHDREN_W<'a, const O: u8> =
    crate::BitWriter<'a, u8, R8_ETH_MACON2_SPEC, bool, O>;
#[doc = "Field `RB_ETH_MACON2_TXCRCEN` reader - soso"]
pub type RB_ETH_MACON2_TXCRCEN_R = crate::BitReader<bool>;
#[doc = "Field `RB_ETH_MACON2_TXCRCEN` writer - soso"]
pub type RB_ETH_MACON2_TXCRCEN_W<'a, const O: u8> =
    crate::BitWriter<'a, u8, R8_ETH_MACON2_SPEC, bool, O>;
#[doc = "Field `RB_ETH_MACON2_PADCFG` reader - soso"]
pub type RB_ETH_MACON2_PADCFG_R = crate::FieldReader<u8, u8>;
#[doc = "Field `RB_ETH_MACON2_PADCFG` writer - soso"]
pub type RB_ETH_MACON2_PADCFG_W<'a, const O: u8> =
    crate::FieldWriter<'a, u8, R8_ETH_MACON2_SPEC, u8, u8, 3, O>;
impl R {
    #[doc = "Bit 0 - soso"]
    #[inline(always)]
    pub fn rb_eth_macon2_fuldpx(&self) -> RB_ETH_MACON2_FULDPX_R {
        RB_ETH_MACON2_FULDPX_R::new((self.bits & 1) != 0)
    }
    #[doc = "Bit 2 - soso"]
    #[inline(always)]
    pub fn rb_eth_macon2_hfrmen(&self) -> RB_ETH_MACON2_HFRMEN_R {
        RB_ETH_MACON2_HFRMEN_R::new(((self.bits >> 2) & 1) != 0)
    }
    #[doc = "Bit 3 - soso"]
    #[inline(always)]
    pub fn rb_eth_macon2_phdren(&self) -> RB_ETH_MACON2_PHDREN_R {
        RB_ETH_MACON2_PHDREN_R::new(((self.bits >> 3) & 1) != 0)
    }
    #[doc = "Bit 4 - soso"]
    #[inline(always)]
    pub fn rb_eth_macon2_txcrcen(&self) -> RB_ETH_MACON2_TXCRCEN_R {
        RB_ETH_MACON2_TXCRCEN_R::new(((self.bits >> 4) & 1) != 0)
    }
    #[doc = "Bits 5:7 - soso"]
    #[inline(always)]
    pub fn rb_eth_macon2_padcfg(&self) -> RB_ETH_MACON2_PADCFG_R {
        RB_ETH_MACON2_PADCFG_R::new((self.bits >> 5) & 7)
    }
}
impl W {
    #[doc = "Bit 0 - soso"]
    #[inline(always)]
    #[must_use]
    pub fn rb_eth_macon2_fuldpx(&mut self) -> RB_ETH_MACON2_FULDPX_W<0> {
        RB_ETH_MACON2_FULDPX_W::new(self)
    }
    #[doc = "Bit 2 - soso"]
    #[inline(always)]
    #[must_use]
    pub fn rb_eth_macon2_hfrmen(&mut self) -> RB_ETH_MACON2_HFRMEN_W<2> {
        RB_ETH_MACON2_HFRMEN_W::new(self)
    }
    #[doc = "Bit 3 - soso"]
    #[inline(always)]
    #[must_use]
    pub fn rb_eth_macon2_phdren(&mut self) -> RB_ETH_MACON2_PHDREN_W<3> {
        RB_ETH_MACON2_PHDREN_W::new(self)
    }
    #[doc = "Bit 4 - soso"]
    #[inline(always)]
    #[must_use]
    pub fn rb_eth_macon2_txcrcen(&mut self) -> RB_ETH_MACON2_TXCRCEN_W<4> {
        RB_ETH_MACON2_TXCRCEN_W::new(self)
    }
    #[doc = "Bits 5:7 - soso"]
    #[inline(always)]
    #[must_use]
    pub fn rb_eth_macon2_padcfg(&mut self) -> RB_ETH_MACON2_PADCFG_W<5> {
        RB_ETH_MACON2_PADCFG_W::new(self)
    }
    #[doc = "Writes raw bits to the register."]
    #[inline(always)]
    pub unsafe fn bits(&mut self, bits: u8) -> &mut Self {
        self.0.bits(bits);
        self
    }
}
#[doc = "soso\n\nThis register you can [`read`](crate::generic::Reg::read), [`write_with_zero`](crate::generic::Reg::write_with_zero), [`reset`](crate::generic::Reg::reset), [`write`](crate::generic::Reg::write), [`modify`](crate::generic::Reg::modify). See [API](https://docs.rs/svd2rust/#read--modify--write-api).\n\nFor information about available fields see [r8_eth_macon2](index.html) module"]
pub struct R8_ETH_MACON2_SPEC;
impl crate::RegisterSpec for R8_ETH_MACON2_SPEC {
    type Ux = u8;
}
#[doc = "`read()` method returns [r8_eth_macon2::R](R) reader structure"]
impl crate::Readable for R8_ETH_MACON2_SPEC {
    type Reader = R;
}
#[doc = "`write(|w| ..)` method takes [r8_eth_macon2::W](W) writer structure"]
impl crate::Writable for R8_ETH_MACON2_SPEC {
    type Writer = W;
    const ZERO_TO_MODIFY_FIELDS_BITMAP: Self::Ux = 0;
    const ONE_TO_MODIFY_FIELDS_BITMAP: Self::Ux = 0;
}
#[doc = "`reset()` method sets R8_ETH_MACON2 to value 0"]
impl crate::Resettable for R8_ETH_MACON2_SPEC {
    const RESET_VALUE: Self::Ux = 0;
}
