#[doc = r"Register block"]
#[repr(C)]
pub struct RegisterBlock {
    #[doc = "0x00 - R8_LCD_CTRL_MOD"]
    pub r8_lcd_ctrl_mod: R8_LCD_CTRL_MOD,
    _reserved1: [u8; 0x03],
    #[doc = "0x04 - RW, LCD driver data0, address 0-3"]
    pub r32_lcd_ram0: R32_LCD_RAM0,
    #[doc = "0x08 - RW, LCD driver data1, address 4-7"]
    pub r32_lcd_ram1: R32_LCD_RAM1,
    #[doc = "0x0c - RW, LCD driver data2, address 8-12"]
    pub r32_lcd_ram2: R32_LCD_RAM2,
}
#[doc = "R8_LCD_CTRL_MOD (rw) register accessor: an alias for `Reg<R8_LCD_CTRL_MOD_SPEC>`"]
pub type R8_LCD_CTRL_MOD = crate::Reg<r8_lcd_ctrl_mod::R8_LCD_CTRL_MOD_SPEC>;
#[doc = "R8_LCD_CTRL_MOD"]
pub mod r8_lcd_ctrl_mod;
#[doc = "R32_LCD_RAM0 (rw) register accessor: an alias for `Reg<R32_LCD_RAM0_SPEC>`"]
pub type R32_LCD_RAM0 = crate::Reg<r32_lcd_ram0::R32_LCD_RAM0_SPEC>;
#[doc = "RW, LCD driver data0, address 0-3"]
pub mod r32_lcd_ram0;
#[doc = "R32_LCD_RAM1 (rw) register accessor: an alias for `Reg<R32_LCD_RAM1_SPEC>`"]
pub type R32_LCD_RAM1 = crate::Reg<r32_lcd_ram1::R32_LCD_RAM1_SPEC>;
#[doc = "RW, LCD driver data1, address 4-7"]
pub mod r32_lcd_ram1;
#[doc = "R32_LCD_RAM2 (rw) register accessor: an alias for `Reg<R32_LCD_RAM2_SPEC>`"]
pub type R32_LCD_RAM2 = crate::Reg<r32_lcd_ram2::R32_LCD_RAM2_SPEC>;
#[doc = "RW, LCD driver data2, address 8-12"]
pub mod r32_lcd_ram2;
