#[doc = "Register `R8_SPI1_FIFO_COUNT1` reader"]
pub struct R(crate::R<R8_SPI1_FIFO_COUNT1_SPEC>);
impl core::ops::Deref for R {
    type Target = crate::R<R8_SPI1_FIFO_COUNT1_SPEC>;
    #[inline(always)]
    fn deref(&self) -> &Self::Target {
        &self.0
    }
}
impl From<crate::R<R8_SPI1_FIFO_COUNT1_SPEC>> for R {
    #[inline(always)]
    fn from(reader: crate::R<R8_SPI1_FIFO_COUNT1_SPEC>) -> Self {
        R(reader)
    }
}
#[doc = "RO, SPI1 FIFO count status\n\nThis register you can [`read`](crate::generic::Reg::read). See [API](https://docs.rs/svd2rust/#read--modify--write-api).\n\nFor information about available fields see [r8_spi1_fifo_count1](index.html) module"]
pub struct R8_SPI1_FIFO_COUNT1_SPEC;
impl crate::RegisterSpec for R8_SPI1_FIFO_COUNT1_SPEC {
    type Ux = u8;
}
#[doc = "`read()` method returns [r8_spi1_fifo_count1::R](R) reader structure"]
impl crate::Readable for R8_SPI1_FIFO_COUNT1_SPEC {
    type Reader = R;
}
#[doc = "`reset()` method sets R8_SPI1_FIFO_COUNT1 to value 0"]
impl crate::Resettable for R8_SPI1_FIFO_COUNT1_SPEC {
    const RESET_VALUE: Self::Ux = 0;
}
