#[doc = "Register `R16_ADC_DATA` reader"]
pub struct R(crate::R<R16_ADC_DATA_SPEC>);
impl core::ops::Deref for R {
    type Target = crate::R<R16_ADC_DATA_SPEC>;
    #[inline(always)]
    fn deref(&self) -> &Self::Target {
        &self.0
    }
}
impl From<crate::R<R16_ADC_DATA_SPEC>> for R {
    #[inline(always)]
    fn from(reader: crate::R<R16_ADC_DATA_SPEC>) -> Self {
        R(reader)
    }
}
#[doc = "Field `RB_ADC_DATA` reader - RO, ADC conversion data"]
pub type RB_ADC_DATA_R = crate::FieldReader<u16, u16>;
impl R {
    #[doc = "Bits 0:11 - RO, ADC conversion data"]
    #[inline(always)]
    pub fn rb_adc_data(&self) -> RB_ADC_DATA_R {
        RB_ADC_DATA_R::new(self.bits & 0x0fff)
    }
}
#[doc = "RO, ADC data\n\nThis register you can [`read`](crate::generic::Reg::read). See [API](https://docs.rs/svd2rust/#read--modify--write-api).\n\nFor information about available fields see [r16_adc_data](index.html) module"]
pub struct R16_ADC_DATA_SPEC;
impl crate::RegisterSpec for R16_ADC_DATA_SPEC {
    type Ux = u16;
}
#[doc = "`read()` method returns [r16_adc_data::R](R) reader structure"]
impl crate::Readable for R16_ADC_DATA_SPEC {
    type Reader = R;
}
#[doc = "`reset()` method sets R16_ADC_DATA to value 0"]
impl crate::Resettable for R16_ADC_DATA_SPEC {
    const RESET_VALUE: Self::Ux = 0;
}
