#[doc = "Register `R16_OSC_CAL_CNT` reader"]
pub struct R(crate::R<R16_OSC_CAL_CNT_SPEC>);
impl core::ops::Deref for R {
    type Target = crate::R<R16_OSC_CAL_CNT_SPEC>;
    #[inline(always)]
    fn deref(&self) -> &Self::Target {
        &self.0
    }
}
impl From<crate::R<R16_OSC_CAL_CNT_SPEC>> for R {
    #[inline(always)]
    fn from(reader: crate::R<R16_OSC_CAL_CNT_SPEC>) -> Self {
        R(reader)
    }
}
#[doc = "Field `RB_OSC_CAL_CNT` reader - RO, system clock count value for 32KHz 5 cycles"]
pub type RB_OSC_CAL_CNT_R = crate::FieldReader<u16, u16>;
impl R {
    #[doc = "Bits 0:11 - RO, system clock count value for 32KHz 5 cycles"]
    #[inline(always)]
    pub fn rb_osc_cal_cnt(&self) -> RB_OSC_CAL_CNT_R {
        RB_OSC_CAL_CNT_R::new(self.bits & 0x0fff)
    }
}
#[doc = "RO, system clock count value for 32KHz 5 cycles\n\nThis register you can [`read`](crate::generic::Reg::read). See [API](https://docs.rs/svd2rust/#read--modify--write-api).\n\nFor information about available fields see [r16_osc_cal_cnt](index.html) module"]
pub struct R16_OSC_CAL_CNT_SPEC;
impl crate::RegisterSpec for R16_OSC_CAL_CNT_SPEC {
    type Ux = u16;
}
#[doc = "`read()` method returns [r16_osc_cal_cnt::R](R) reader structure"]
impl crate::Readable for R16_OSC_CAL_CNT_SPEC {
    type Reader = R;
}
#[doc = "`reset()` method sets R16_OSC_CAL_CNT to value 0"]
impl crate::Resettable for R16_OSC_CAL_CNT_SPEC {
    const RESET_VALUE: Self::Ux = 0;
}
