#[doc = "Register `R8_ADC_INT_FLAG` reader"]
pub struct R(crate::R<R8_ADC_INT_FLAG_SPEC>);
impl core::ops::Deref for R {
    type Target = crate::R<R8_ADC_INT_FLAG_SPEC>;
    #[inline(always)]
    fn deref(&self) -> &Self::Target {
        &self.0
    }
}
impl From<crate::R<R8_ADC_INT_FLAG_SPEC>> for R {
    #[inline(always)]
    fn from(reader: crate::R<R8_ADC_INT_FLAG_SPEC>) -> Self {
        R(reader)
    }
}
#[doc = "Field `RB_ADC_IF_EOC` reader - RO, ADC conversion interrupt flag: 0=free or converting, 1=end of conversion, interrupt action, write R8_ADC_CONVERT to clear flag"]
pub type RB_ADC_IF_EOC_R = crate::BitReader<bool>;
impl R {
    #[doc = "Bit 7 - RO, ADC conversion interrupt flag: 0=free or converting, 1=end of conversion, interrupt action, write R8_ADC_CONVERT to clear flag"]
    #[inline(always)]
    pub fn rb_adc_if_eoc(&self) -> RB_ADC_IF_EOC_R {
        RB_ADC_IF_EOC_R::new(((self.bits >> 7) & 1) != 0)
    }
}
#[doc = "RO, ADC interrupt flag register\n\nThis register you can [`read`](crate::generic::Reg::read). See [API](https://docs.rs/svd2rust/#read--modify--write-api).\n\nFor information about available fields see [r8_adc_int_flag](index.html) module"]
pub struct R8_ADC_INT_FLAG_SPEC;
impl crate::RegisterSpec for R8_ADC_INT_FLAG_SPEC {
    type Ux = u8;
}
#[doc = "`read()` method returns [r8_adc_int_flag::R](R) reader structure"]
impl crate::Readable for R8_ADC_INT_FLAG_SPEC {
    type Reader = R;
}
#[doc = "`reset()` method sets R8_ADC_INT_FLAG to value 0"]
impl crate::Resettable for R8_ADC_INT_FLAG_SPEC {
    const RESET_VALUE: Self::Ux = 0;
}
