#[doc = "Register `R8_SAFE_ACCESS_SIG_WR` writer"]
pub struct W(crate::W<R8_SAFE_ACCESS_SIG_WR_SPEC>);
impl core::ops::Deref for W {
    type Target = crate::W<R8_SAFE_ACCESS_SIG_WR_SPEC>;
    #[inline(always)]
    fn deref(&self) -> &Self::Target {
        &self.0
    }
}
impl core::ops::DerefMut for W {
    #[inline(always)]
    fn deref_mut(&mut self) -> &mut Self::Target {
        &mut self.0
    }
}
impl From<crate::W<R8_SAFE_ACCESS_SIG_WR_SPEC>> for W {
    #[inline(always)]
    fn from(writer: crate::W<R8_SAFE_ACCESS_SIG_WR_SPEC>) -> Self {
        W(writer)
    }
}
impl W {
    #[doc = "Writes raw bits to the register."]
    #[inline(always)]
    pub unsafe fn bits(&mut self, bits: u8) -> &mut Self {
        self.0.bits(bits);
        self
    }
}
#[doc = "safe accessing sign register, must write 0x57 then 0xA8 to enter safe accessing mode\n\nThis register you can [`write_with_zero`](crate::generic::Reg::write_with_zero), [`reset`](crate::generic::Reg::reset), [`write`](crate::generic::Reg::write). See [API](https://docs.rs/svd2rust/#read--modify--write-api).\n\nFor information about available fields see [r8_safe_access_sig_wr](index.html) module"]
pub struct R8_SAFE_ACCESS_SIG_WR_SPEC;
impl crate::RegisterSpec for R8_SAFE_ACCESS_SIG_WR_SPEC {
    type Ux = u8;
}
#[doc = "`write(|w| ..)` method takes [r8_safe_access_sig_wr::W](W) writer structure"]
impl crate::Writable for R8_SAFE_ACCESS_SIG_WR_SPEC {
    type Writer = W;
    const ZERO_TO_MODIFY_FIELDS_BITMAP: Self::Ux = 0;
    const ONE_TO_MODIFY_FIELDS_BITMAP: Self::Ux = 0;
}
#[doc = "`reset()` method sets R8_SAFE_ACCESS_SIG_WR to value 0"]
impl crate::Resettable for R8_SAFE_ACCESS_SIG_WR_SPEC {
    const RESET_VALUE: Self::Ux = 0;
}
