#[doc = "Register `R8_SLP_CLK_OFF1` reader"]
pub struct R(crate::R<R8_SLP_CLK_OFF1_SPEC>);
impl core::ops::Deref for R {
    type Target = crate::R<R8_SLP_CLK_OFF1_SPEC>;
    #[inline(always)]
    fn deref(&self) -> &Self::Target {
        &self.0
    }
}
impl From<crate::R<R8_SLP_CLK_OFF1_SPEC>> for R {
    #[inline(always)]
    fn from(reader: crate::R<R8_SLP_CLK_OFF1_SPEC>) -> Self {
        R(reader)
    }
}
#[doc = "Register `R8_SLP_CLK_OFF1` writer"]
pub struct W(crate::W<R8_SLP_CLK_OFF1_SPEC>);
impl core::ops::Deref for W {
    type Target = crate::W<R8_SLP_CLK_OFF1_SPEC>;
    #[inline(always)]
    fn deref(&self) -> &Self::Target {
        &self.0
    }
}
impl core::ops::DerefMut for W {
    #[inline(always)]
    fn deref_mut(&mut self) -> &mut Self::Target {
        &mut self.0
    }
}
impl From<crate::W<R8_SLP_CLK_OFF1_SPEC>> for W {
    #[inline(always)]
    fn from(writer: crate::W<R8_SLP_CLK_OFF1_SPEC>) -> Self {
        W(writer)
    }
}
#[doc = "Field `RB_SLP_CLK_SPI0` reader - RWA, close SPI0 clock"]
pub type RB_SLP_CLK_SPI0_R = crate::BitReader<bool>;
#[doc = "Field `RB_SLP_CLK_SPI0` writer - RWA, close SPI0 clock"]
pub type RB_SLP_CLK_SPI0_W<'a, const O: u8> =
    crate::BitWriter<'a, u8, R8_SLP_CLK_OFF1_SPEC, bool, O>;
#[doc = "Field `RB_SLP_CLK_SPI1` reader - RWA, close SPI1 clock"]
pub type RB_SLP_CLK_SPI1_R = crate::BitReader<bool>;
#[doc = "Field `RB_SLP_CLK_SPI1` writer - RWA, close SPI1 clock"]
pub type RB_SLP_CLK_SPI1_W<'a, const O: u8> =
    crate::BitWriter<'a, u8, R8_SLP_CLK_OFF1_SPEC, bool, O>;
#[doc = "Field `RB_SLP_CLK_PWMX` reader - RWA, close PWMx clock"]
pub type RB_SLP_CLK_PWMX_R = crate::BitReader<bool>;
#[doc = "Field `RB_SLP_CLK_PWMX` writer - RWA, close PWMx clock"]
pub type RB_SLP_CLK_PWMX_W<'a, const O: u8> =
    crate::BitWriter<'a, u8, R8_SLP_CLK_OFF1_SPEC, bool, O>;
#[doc = "Field `RB_SLP_CLK_LCD` reader - RWA, close LCD clock"]
pub type RB_SLP_CLK_LCD_R = crate::BitReader<bool>;
#[doc = "Field `RB_SLP_CLK_LCD` writer - RWA, close LCD clock"]
pub type RB_SLP_CLK_LCD_W<'a, const O: u8> =
    crate::BitWriter<'a, u8, R8_SLP_CLK_OFF1_SPEC, bool, O>;
#[doc = "Field `RB_SLP_CLK_USB` reader - RWA, close USB clock"]
pub type RB_SLP_CLK_USB_R = crate::BitReader<bool>;
#[doc = "Field `RB_SLP_CLK_USB` writer - RWA, close USB clock"]
pub type RB_SLP_CLK_USB_W<'a, const O: u8> =
    crate::BitWriter<'a, u8, R8_SLP_CLK_OFF1_SPEC, bool, O>;
#[doc = "Field `RB_SLP_CLK_ETH` reader - RWA, close ETH clock"]
pub type RB_SLP_CLK_ETH_R = crate::BitReader<bool>;
#[doc = "Field `RB_SLP_CLK_ETH` writer - RWA, close ETH clock"]
pub type RB_SLP_CLK_ETH_W<'a, const O: u8> =
    crate::BitWriter<'a, u8, R8_SLP_CLK_OFF1_SPEC, bool, O>;
#[doc = "Field `RB_SLP_CLK_LED` reader - RWA, close LED clock"]
pub type RB_SLP_CLK_LED_R = crate::BitReader<bool>;
#[doc = "Field `RB_SLP_CLK_LED` writer - RWA, close LED clock"]
pub type RB_SLP_CLK_LED_W<'a, const O: u8> =
    crate::BitWriter<'a, u8, R8_SLP_CLK_OFF1_SPEC, bool, O>;
#[doc = "Field `RB_SLP_CLK_BLE` reader - RWA, close BLE clock"]
pub type RB_SLP_CLK_BLE_R = crate::BitReader<bool>;
#[doc = "Field `RB_SLP_CLK_BLE` writer - RWA, close BLE clock"]
pub type RB_SLP_CLK_BLE_W<'a, const O: u8> =
    crate::BitWriter<'a, u8, R8_SLP_CLK_OFF1_SPEC, bool, O>;
impl R {
    #[doc = "Bit 0 - RWA, close SPI0 clock"]
    #[inline(always)]
    pub fn rb_slp_clk_spi0(&self) -> RB_SLP_CLK_SPI0_R {
        RB_SLP_CLK_SPI0_R::new((self.bits & 1) != 0)
    }
    #[doc = "Bit 1 - RWA, close SPI1 clock"]
    #[inline(always)]
    pub fn rb_slp_clk_spi1(&self) -> RB_SLP_CLK_SPI1_R {
        RB_SLP_CLK_SPI1_R::new(((self.bits >> 1) & 1) != 0)
    }
    #[doc = "Bit 2 - RWA, close PWMx clock"]
    #[inline(always)]
    pub fn rb_slp_clk_pwmx(&self) -> RB_SLP_CLK_PWMX_R {
        RB_SLP_CLK_PWMX_R::new(((self.bits >> 2) & 1) != 0)
    }
    #[doc = "Bit 3 - RWA, close LCD clock"]
    #[inline(always)]
    pub fn rb_slp_clk_lcd(&self) -> RB_SLP_CLK_LCD_R {
        RB_SLP_CLK_LCD_R::new(((self.bits >> 3) & 1) != 0)
    }
    #[doc = "Bit 4 - RWA, close USB clock"]
    #[inline(always)]
    pub fn rb_slp_clk_usb(&self) -> RB_SLP_CLK_USB_R {
        RB_SLP_CLK_USB_R::new(((self.bits >> 4) & 1) != 0)
    }
    #[doc = "Bit 5 - RWA, close ETH clock"]
    #[inline(always)]
    pub fn rb_slp_clk_eth(&self) -> RB_SLP_CLK_ETH_R {
        RB_SLP_CLK_ETH_R::new(((self.bits >> 5) & 1) != 0)
    }
    #[doc = "Bit 6 - RWA, close LED clock"]
    #[inline(always)]
    pub fn rb_slp_clk_led(&self) -> RB_SLP_CLK_LED_R {
        RB_SLP_CLK_LED_R::new(((self.bits >> 6) & 1) != 0)
    }
    #[doc = "Bit 7 - RWA, close BLE clock"]
    #[inline(always)]
    pub fn rb_slp_clk_ble(&self) -> RB_SLP_CLK_BLE_R {
        RB_SLP_CLK_BLE_R::new(((self.bits >> 7) & 1) != 0)
    }
}
impl W {
    #[doc = "Bit 0 - RWA, close SPI0 clock"]
    #[inline(always)]
    #[must_use]
    pub fn rb_slp_clk_spi0(&mut self) -> RB_SLP_CLK_SPI0_W<0> {
        RB_SLP_CLK_SPI0_W::new(self)
    }
    #[doc = "Bit 1 - RWA, close SPI1 clock"]
    #[inline(always)]
    #[must_use]
    pub fn rb_slp_clk_spi1(&mut self) -> RB_SLP_CLK_SPI1_W<1> {
        RB_SLP_CLK_SPI1_W::new(self)
    }
    #[doc = "Bit 2 - RWA, close PWMx clock"]
    #[inline(always)]
    #[must_use]
    pub fn rb_slp_clk_pwmx(&mut self) -> RB_SLP_CLK_PWMX_W<2> {
        RB_SLP_CLK_PWMX_W::new(self)
    }
    #[doc = "Bit 3 - RWA, close LCD clock"]
    #[inline(always)]
    #[must_use]
    pub fn rb_slp_clk_lcd(&mut self) -> RB_SLP_CLK_LCD_W<3> {
        RB_SLP_CLK_LCD_W::new(self)
    }
    #[doc = "Bit 4 - RWA, close USB clock"]
    #[inline(always)]
    #[must_use]
    pub fn rb_slp_clk_usb(&mut self) -> RB_SLP_CLK_USB_W<4> {
        RB_SLP_CLK_USB_W::new(self)
    }
    #[doc = "Bit 5 - RWA, close ETH clock"]
    #[inline(always)]
    #[must_use]
    pub fn rb_slp_clk_eth(&mut self) -> RB_SLP_CLK_ETH_W<5> {
        RB_SLP_CLK_ETH_W::new(self)
    }
    #[doc = "Bit 6 - RWA, close LED clock"]
    #[inline(always)]
    #[must_use]
    pub fn rb_slp_clk_led(&mut self) -> RB_SLP_CLK_LED_W<6> {
        RB_SLP_CLK_LED_W::new(self)
    }
    #[doc = "Bit 7 - RWA, close BLE clock"]
    #[inline(always)]
    #[must_use]
    pub fn rb_slp_clk_ble(&mut self) -> RB_SLP_CLK_BLE_W<7> {
        RB_SLP_CLK_BLE_W::new(self)
    }
    #[doc = "Writes raw bits to the register."]
    #[inline(always)]
    pub unsafe fn bits(&mut self, bits: u8) -> &mut Self {
        self.0.bits(bits);
        self
    }
}
#[doc = "RWA, sleep clock off control byte 1, SAM\n\nThis register you can [`read`](crate::generic::Reg::read), [`write_with_zero`](crate::generic::Reg::write_with_zero), [`reset`](crate::generic::Reg::reset), [`write`](crate::generic::Reg::write), [`modify`](crate::generic::Reg::modify). See [API](https://docs.rs/svd2rust/#read--modify--write-api).\n\nFor information about available fields see [r8_slp_clk_off1](index.html) module"]
pub struct R8_SLP_CLK_OFF1_SPEC;
impl crate::RegisterSpec for R8_SLP_CLK_OFF1_SPEC {
    type Ux = u8;
}
#[doc = "`read()` method returns [r8_slp_clk_off1::R](R) reader structure"]
impl crate::Readable for R8_SLP_CLK_OFF1_SPEC {
    type Reader = R;
}
#[doc = "`write(|w| ..)` method takes [r8_slp_clk_off1::W](W) writer structure"]
impl crate::Writable for R8_SLP_CLK_OFF1_SPEC {
    type Writer = W;
    const ZERO_TO_MODIFY_FIELDS_BITMAP: Self::Ux = 0;
    const ONE_TO_MODIFY_FIELDS_BITMAP: Self::Ux = 0;
}
#[doc = "`reset()` method sets R8_SLP_CLK_OFF1 to value 0"]
impl crate::Resettable for R8_SLP_CLK_OFF1_SPEC {
    const RESET_VALUE: Self::Ux = 0;
}
